package com.zanxiang.game.back.base.pojo.enums;

import lombok.Getter;

@Getter
public enum OrderStatusEnum {
    /**
     * 预下单
     */
    READY_PAY(0),

    /**
     * 待支付
     */
    WAIT_PAY(1),

    /**
     * 支付成功
     */
    SUCCESS_PAY(2),

    /**
     * 订单关闭
     */
    CANCEL_PAY(-1);

    private final Integer value;

    OrderStatusEnum(Integer value) {
        this.value = value;
    }
}
